// Copyright (c) 2015, Herman Bergwerf. All rights reserved.
// Use of this source code is governed by a MIT-style license
// that can be found in the LICENSE file.

/// This is actually a dummy library that allows the Dart analyzer to link
/// the right classes to the generated messages code in this directory.
library omnibuild.test.test_messages;

import 'package:omnibus/omnibus.dart';

part 'readme.dart';
part 'pure_types.dart';
part 'dflt_values.dart';

/// Object with const constructor
class Point {
  final int x, y;
  const Point(this.x, this.y);
}

/// Enumeration that is used in the README.md example
enum ImpactFactor { low, medium, high }
